com.tibbo.aggregate.common.server

## Interface ConfigContextConstants

-     public interface ConfigContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_DATABASE_TEST_CONNECTION`
    `static java.lang.Integer` | `AUTHENTICATION_ALLOW_CONCURRENT`
    `static java.lang.Integer` | `AUTHENTICATION_DISCONNECT_LAST`
    `static java.lang.Integer` | `AUTHENTICATION_RESTRICT_CONCURRENT`
    `static java.lang.Integer` | `DEFAULT_COUNT_ATTEMPT_LOGIN`
    `static java.lang.Long` | `DEFAULT_LOCKOUT_DURATION`
    `static java.lang.Long` | `DEFAULT_TIMEOUT_BEFORE_NEXT_LOGIN_ATTEMPT`
    `static java.lang.String` | `F_DATABASE_TEST_CONNECTION`
    `static java.lang.String` | `V_ADDITIONAL_PERMISSIONS`
    `static java.lang.String` | `V_ANONYMOUS_CONFIG`
    `static java.lang.String` | `V_AUTHENTICATION`
    `static java.lang.String` | `V_AUTO_REGISTRATION_SETTINGS`
    `static java.lang.String` | `V_CERTIFICATES`
    `static java.lang.String` | `V_CLUSTER`
    `static java.lang.String` | `V_CONFIG`
    `static java.lang.String` | `V_CONFIGURATION_SERVER`
    `static java.lang.String` | `V_DATABASE`
    `static java.lang.String` | `V_DEFAULT_PERMISSIONS`
    `static java.lang.String` | `V_DEFAULT_SYNC_OPTIONS`
    `static java.lang.String` | `V_ENCRYPTION`
    `static java.lang.String` | `V_EVENT_PROCESSING_RULES`
    `static java.lang.String` | `V_EVENT_STORAGES`
    `static java.lang.String` | `V_EVENT_STORAGES_CONFIGURATION`
    `static java.lang.String` | `V_EVENT_WRITERS`
    `static java.lang.String` | `V_GENERAL`
    `static java.lang.String` | `V_KEYVALUE`
    `static java.lang.String` | `V_LICENSE_SERVER`
    `static java.lang.String` | `V_MASTER_INSTALLATION_DATE`
    `static java.lang.String` | `V_NOSQL`
    `static java.lang.String` | `V_PASSWORD_SETTINGS`
    `static java.lang.String` | `V_PLUGINS`
    `static java.lang.String` | `V_RELATIONAL`
    `static java.lang.String` | `V_SLAVE_INSTALLATION_DATE`
    `static java.lang.String` | `V_STATISTICS`
    `static java.lang.String` | `V_STORES`
    `static java.lang.String` | `V_VIRTUAL_NETWORKS`
    `static java.lang.String` | `VF_ACCOUNT_LOCKOUT_DURATION`
    `static java.lang.String` | `VF_ADDITIONAL_PERMISSIONS_MASK`
    `static java.lang.String` | `VF_ADDITIONAL_PERMISSIONS_TYPE`
    `static java.lang.String` | `VF_ANONYMOUS_ENABLED`
    `static java.lang.String` | `VF_ANONYMOUS_PERMISSIONS`
    `static java.lang.String` | `VF_AUTHENTICATION_EXTERNAL_AUTHENTICATION`
    `static java.lang.String` | `VF_AUTHENTICATION_EXTERNAL_REGISTER_LINK`
    `static java.lang.String` | `VF_AUTHENTICATION_NEW_USER_ACTIVATION_EXPRESSION`
    `static java.lang.String` | `VF_AUTHENTICATION_USER_CONNECTION_MODE`
    `static java.lang.String` | `VF_CERTIFICATES_NO_FALLBACK`
    `static java.lang.String` | `VF_CERTIFICATES_ONLY_END_ENTITY`
    `static java.lang.String` | `VF_CERTIFICATES_PREFER_CRLS`
    `static java.lang.String` | `VF_CERTIFICATES_SOFT_FAIL`
    `static java.lang.String` | `VF_CLUSTER_FAILOVER_READONLY`
    `static java.lang.String` | `VF_CLUSTER_FAILURE_DETECTION_TIME`
    `static java.lang.String` | `VF_CLUSTER_HEARTBEAT_HELPER_URLS`
    `static java.lang.String` | `VF_CLUSTER_HEARTBEAT_INTERFACE_ADDRESS`
    `static java.lang.String` | `VF_CLUSTER_HEARTBEAT_PORT`
    `static java.lang.String` | `VF_CLUSTER_ROLE`
    `static java.lang.String` | `VF_CONFIGURATION_SERVER_ADDRESS`
    `static java.lang.String` | `VF_CONFIGURATION_SERVER_ENABLED`
    `static java.lang.String` | `VF_CONFIGURATION_SERVER_LOGIN`
    `static java.lang.String` | `VF_CONFIGURATION_SERVER_PASSWORD`
    `static java.lang.String` | `VF_CONFIGURATION_SERVER_PORT`
    `static java.lang.String` | `VF_DATABASE_BATCH_SIZE`
    `static java.lang.String` | `VF_DATABASE_BINARY_DATA_STORAGE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_BATCH_SIZE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_BATCH_SIZE_THRESHOLD`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_BINARY_DATA_KEYSPACE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_CACHES_DIRECTORY`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_COMMITLOG_DIRECTORY`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_COMMITLOG_SIZE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_CONFIGURATION_KEYSPACE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_CONSISTENCY_LEVEL`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_CONTACT_POINTS`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_EVENT_HISTORY_KEYSPACE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_HOST`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_INTERNAL_KEYSPACE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_LOAD_BALANCING`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_LOGIN`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_NATIVE_PORT`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_PASSWORD`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_READ_REQUEST_TIMEOUT`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_RECONNECTION_POLICY`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_STATISTICS_KEYSPACE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_STORAGE_DIRECTORY`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_USE_AUTHENTICATION`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_USE_EMBEDDED_SERVICE`
    `static java.lang.String` | `VF_DATABASE_CASSANDRA_USE_YAML_CONFIGURATION`
    `static java.lang.String` | `VF_DATABASE_CHECKOUT_TIMEOUT`
    `static java.lang.String` | `VF_DATABASE_CLUSTER`
    `static java.lang.String` | `VF_DATABASE_CLUSTER_DATABASES`
    `static java.lang.String` | `VF_DATABASE_CONFIGURATION_STORAGE`
    `static java.lang.String` | `VF_DATABASE_DISABLE_POOLING`
    `static java.lang.String` | `VF_DATABASE_DRIVER`
    `static java.lang.String` | `VF_DATABASE_EVENT_HISTORY_STORAGE`
    `static java.lang.String` | `VF_DATABASE_KV_CACHE_SIZE`
    `static java.lang.String` | `VF_DATABASE_KV_CHECPOINTER_ACTIVATOR`
    `static java.lang.String` | `VF_DATABASE_KV_CHECPOINTER_WAKEUP_INTERVAL`
    `static java.lang.String` | `VF_DATABASE_KV_CHECPOINTER_WRITE_INTERVAL`
    `static java.lang.String` | `VF_DATABASE_KV_CLEANER_ACTIVATOR`
    `static java.lang.String` | `VF_DATABASE_KV_CLEANER_BYTE_THRESHOLD`
    `static java.lang.String` | `VF_DATABASE_KV_CLEANER_THREADS`
    `static java.lang.String` | `VF_DATABASE_KV_CLEANER_WAKEUP_INTERVAL`
    `static java.lang.String` | `VF_DATABASE_KV_CLUSTER_HELPER_DB_URL`
    `static java.lang.String` | `VF_DATABASE_KV_CLUSTER_PRIMARY_DB_PORT`
    `static java.lang.String` | `VF_DATABASE_KV_CLUSTER_PRIORITY`
    `static java.lang.String` | `VF_DATABASE_KV_CLUSTER_ROLE`
    `static java.lang.String` | `VF_DATABASE_KV_FREE_DISK`
    `static java.lang.String` | `VF_DATABASE_KV_MAX_DISK`
    `static java.lang.String` | `VF_DATABASE_KV_MAX_REPLICATION_MESSAGE_SIZE`
    `static java.lang.String` | `VF_DATABASE_KV_MIN_UTILIZATION`
    `static java.lang.String` | `VF_DATABASE_KV_TRANSACTIONS_COMMIT_INTERVAL`
    `static java.lang.String` | `VF_DATABASE_KV_TRANSACTIONS_COMMIT_THRESHOLD`
    `static java.lang.String` | `VF_DATABASE_MAXIMUM_POOL_SIZE`
    `static java.lang.String` | `VF_DATABASE_MINIMUM_POOL_SIZE`
    `static java.lang.String` | `VF_DATABASE_PASSWORD`
    `static java.lang.String` | `VF_DATABASE_REPLICATION_FACTOR`
    `static java.lang.String` | `VF_DATABASE_SEEDS`
    `static java.lang.String` | `VF_DATABASE_SESSION_TIMEOUT`
    `static java.lang.String` | `VF_DATABASE_SQL_DIALECT`
    `static java.lang.String` | `VF_DATABASE_TEST_CONNECTION`
    `static java.lang.String` | `VF_DATABASE_TEST_CONNECTION_RESULT`
    `static java.lang.String` | `VF_DATABASE_UNRETURNED_CONNECTION_TIMEOUT`
    `static java.lang.String` | `VF_DATABASE_URL`
    `static java.lang.String` | `VF_DATABASE_USERNAME`
    `static java.lang.String` | `VF_DATABASES_ID`
    `static java.lang.String` | `VF_DATABASES_LOCAL`
    `static java.lang.String` | `VF_DATABASES_URL`
    `static java.lang.String` | `VF_DATABASES_WEIGHT`
    `static java.lang.String` | `VF_DEFAULT_DASHBOARD_FOR_ANONYMOUS`
    `static java.lang.String` | `VF_GENERAL_CLIENT_EVENT_QUEUE_LENGTH`
    `static java.lang.String` | `VF_GENERAL_CLIENT_PORT`
    `static java.lang.String` | `VF_GENERAL_CONFIG_GUI_MODE`
    `static java.lang.String` | `VF_GENERAL_HTTP_SESSION_TIMEOUT`
    `static java.lang.String` | `VF_GENERAL_MAINTENANCE_MODE`
    `static java.lang.String` | `VF_GENERAL_NON_SECURE_CLIENT_COMMUNICATION`
    `static java.lang.String` | `VF_GENERAL_NON_SECURE_CLIENT_PORT`
    `static java.lang.String` | `VF_GENERAL_SERVER_DESCRIPTION`
    `static java.lang.String` | `VF_GENERAL_SERVER_HOST_NAME`
    `static java.lang.String` | `VF_GENERAL_SERVER_ID`
    `static java.lang.String` | `VF_GENERAL_SERVER_IP`
    `static java.lang.String` | `VF_GENERAL_STATISTICS_FOLDER`
    `static java.lang.String` | `VF_GENERAL_TIMEZONE`
    `static java.lang.String` | `VF_GENERAL_TWO_WAY_AUTH_CLIENT_PORT`
    `static java.lang.String` | `VF_GENERAL_USERS_SELF_REGISTRATION`
    `static java.lang.String` | `VF_INSTALLATION_DATE_DATE`
    `static java.lang.String` | `VF_INTERNAL_ENCRYPTION_ENABLED`
    `static java.lang.String` | `VF_LICENSE_SERVER_ADDRESS`
    `static java.lang.String` | `VF_LICENSE_SERVER_ENABLED`
    `static java.lang.String` | `VF_LICENSE_SERVER_LOGIN`
    `static java.lang.String` | `VF_LICENSE_SERVER_PASSWORD`
    `static java.lang.String` | `VF_LICENSE_SERVER_PORT`
    `static java.lang.String` | `VF_LICENSE_SERVER_ROLE`
    `static java.lang.String` | `VF_LOGGER_CONCURRENT`
    `static java.lang.String` | `VF_LOGGER_ENABLED`
    `static java.lang.String` | `VF_LOGGER_EXPRESSION`
    `static java.lang.String` | `VF_LOGGER_MAXIMUM_CONCURRENT`
    `static java.lang.String` | `VF_LOGGER_MAXIMUM_QUEUE_LENGTH`
    `static java.lang.String` | `VF_NUMBER_LOGIN_ATTEMPTS`
    `static java.lang.String` | `VF_PASSWORD_EXPIRATION_PERIOD`
    `static java.lang.String` | `VF_PASSWORD_MIN_LENGTH`
    `static java.lang.String` | `VF_PASSWORD_REQUIRE_CAPITAL_LETTERS`
    `static java.lang.String` | `VF_PASSWORD_REQUIRE_NUMBERS`
    `static java.lang.String` | `VF_PASSWORD_REQUIRE_SPECIAL_CHARACTERS`
    `static java.lang.String` | `VF_PASSWORDS_AMOUNT`
    `static java.lang.String` | `VF_PLUGINS_ENABLED`
    `static java.lang.String` | `VF_PLUGINS_ID`
    `static java.lang.String` | `VF_PLUGINS_NAME`
    `static java.lang.String` | `VF_SHOW_STORE_ON_STARTUP`
    `static java.lang.String` | `VF_STORES_ADDRESS`
    `static java.lang.String` | `VF_STORES_DESCRIPTION`
    `static java.lang.String` | `VF_STORES_LOGIN`
    `static java.lang.String` | `VF_STORES_PASSWORD`
    `static java.lang.String` | `VF_STORES_PORT`
    `static java.lang.String` | `VF_TIMEOUT_BEFORE_NEXT_LOGIN_ATTEMPT`
    `static java.lang.String` | `VF_VARIABLE_VALIDATORS_CONTEXT_MASK`
    `static java.lang.String` | `VF_VARIABLE_VALIDATORS_EXPRESSION`
    `static java.lang.String` | `VF_VARIABLE_VALIDATORS_VARIABLE_NAME`

- - ### Field Detail

    - #### V_GENERAL

          static final java.lang.String V_GENERAL

      See Also:
        Constant Field Values

    - #### V_DATABASE

          static final java.lang.String V_DATABASE

      See Also:
        Constant Field Values

    - #### V_NOSQL

          static final java.lang.String V_NOSQL

      See Also:
        Constant Field Values

    - #### V_RELATIONAL

          static final java.lang.String V_RELATIONAL

      See Also:
        Constant Field Values

    - #### V_KEYVALUE

          static final java.lang.String V_KEYVALUE

      See Also:
        Constant Field Values

    - #### V_CLUSTER

          static final java.lang.String V_CLUSTER

      See Also:
        Constant Field Values

    - #### V_LICENSE_SERVER

          static final java.lang.String V_LICENSE_SERVER

      See Also:
        Constant Field Values

    - #### V_CONFIGURATION_SERVER

          static final java.lang.String V_CONFIGURATION_SERVER

      See Also:
        Constant Field Values

    - #### V_STATISTICS

          static final java.lang.String V_STATISTICS

      See Also:
        Constant Field Values

    - #### V_DEFAULT_SYNC_OPTIONS

          static final java.lang.String V_DEFAULT_SYNC_OPTIONS

      See Also:
        Constant Field Values

    - #### V_EVENT_STORAGES

          static final java.lang.String V_EVENT_STORAGES

      See Also:
        Constant Field Values

    - #### V_EVENT_STORAGES_CONFIGURATION

          static final java.lang.String V_EVENT_STORAGES_CONFIGURATION

      See Also:
        Constant Field Values

    - #### V_EVENT_PROCESSING_RULES

          static final java.lang.String V_EVENT_PROCESSING_RULES

      See Also:
        Constant Field Values

    - #### V_EVENT_WRITERS

          static final java.lang.String V_EVENT_WRITERS

      See Also:
        Constant Field Values

    - #### V_PASSWORD_SETTINGS

          static final java.lang.String V_PASSWORD_SETTINGS

      See Also:
        Constant Field Values

    - #### V_DEFAULT_PERMISSIONS

          static final java.lang.String V_DEFAULT_PERMISSIONS

      See Also:
        Constant Field Values

    - #### V_ADDITIONAL_PERMISSIONS

          static final java.lang.String V_ADDITIONAL_PERMISSIONS

      See Also:
        Constant Field Values

    - #### V_PLUGINS

          static final java.lang.String V_PLUGINS

      See Also:
        Constant Field Values

    - #### V_STORES

          static final java.lang.String V_STORES

      See Also:
        Constant Field Values

    - #### V_CONFIG

          static final java.lang.String V_CONFIG

      See Also:
        Constant Field Values

    - #### V_AUTHENTICATION

          static final java.lang.String V_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### V_AUTO_REGISTRATION_SETTINGS

          static final java.lang.String V_AUTO_REGISTRATION_SETTINGS

      See Also:
        Constant Field Values

    - #### V_VIRTUAL_NETWORKS

          static final java.lang.String V_VIRTUAL_NETWORKS

      See Also:
        Constant Field Values

    - #### V_CERTIFICATES

          static final java.lang.String V_CERTIFICATES

      See Also:
        Constant Field Values

    - #### V_ENCRYPTION

          static final java.lang.String V_ENCRYPTION

      See Also:
        Constant Field Values

    - #### V_ANONYMOUS_CONFIG

          static final java.lang.String V_ANONYMOUS_CONFIG

      See Also:
        Constant Field Values

    - #### V_MASTER_INSTALLATION_DATE

          static final java.lang.String V_MASTER_INSTALLATION_DATE

      See Also:
        Constant Field Values

    - #### V_SLAVE_INSTALLATION_DATE

          static final java.lang.String V_SLAVE_INSTALLATION_DATE

      See Also:
        Constant Field Values

    - #### VF_LICENSE_SERVER_ENABLED

          static final java.lang.String VF_LICENSE_SERVER_ENABLED

      See Also:
        Constant Field Values

    - #### VF_LICENSE_SERVER_ADDRESS

          static final java.lang.String VF_LICENSE_SERVER_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_LICENSE_SERVER_PORT

          static final java.lang.String VF_LICENSE_SERVER_PORT

      See Also:
        Constant Field Values

    - #### VF_LICENSE_SERVER_LOGIN

          static final java.lang.String VF_LICENSE_SERVER_LOGIN

      See Also:
        Constant Field Values

    - #### VF_LICENSE_SERVER_PASSWORD

          static final java.lang.String VF_LICENSE_SERVER_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_LICENSE_SERVER_ROLE

          static final java.lang.String VF_LICENSE_SERVER_ROLE

      See Also:
        Constant Field Values

    - #### VF_CERTIFICATES_PREFER_CRLS

          static final java.lang.String VF_CERTIFICATES_PREFER_CRLS

      See Also:
        Constant Field Values

    - #### VF_CERTIFICATES_ONLY_END_ENTITY

          static final java.lang.String VF_CERTIFICATES_ONLY_END_ENTITY

      See Also:
        Constant Field Values

    - #### VF_CERTIFICATES_NO_FALLBACK

          static final java.lang.String VF_CERTIFICATES_NO_FALLBACK

      See Also:
        Constant Field Values

    - #### VF_CERTIFICATES_SOFT_FAIL

          static final java.lang.String VF_CERTIFICATES_SOFT_FAIL

      See Also:
        Constant Field Values

    - #### VF_INTERNAL_ENCRYPTION_ENABLED

          static final java.lang.String VF_INTERNAL_ENCRYPTION_ENABLED

      See Also:
        Constant Field Values

    - #### VF_GENERAL_SERVER_DESCRIPTION

          static final java.lang.String VF_GENERAL_SERVER_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_GENERAL_TIMEZONE

          static final java.lang.String VF_GENERAL_TIMEZONE

      See Also:
        Constant Field Values

    - #### VF_GENERAL_SERVER_IP

          static final java.lang.String VF_GENERAL_SERVER_IP

      See Also:
        Constant Field Values

    - #### VF_GENERAL_SERVER_ID

          static final java.lang.String VF_GENERAL_SERVER_ID

      See Also:
        Constant Field Values

    - #### VF_GENERAL_SERVER_HOST_NAME

          static final java.lang.String VF_GENERAL_SERVER_HOST_NAME

      See Also:
        Constant Field Values

    - #### VF_GENERAL_USERS_SELF_REGISTRATION

          static final java.lang.String VF_GENERAL_USERS_SELF_REGISTRATION

      See Also:
        Constant Field Values

    - #### VF_GENERAL_CONFIG_GUI_MODE

          static final java.lang.String VF_GENERAL_CONFIG_GUI_MODE

      See Also:
        Constant Field Values

    - #### VF_GENERAL_MAINTENANCE_MODE

          static final java.lang.String VF_GENERAL_MAINTENANCE_MODE

      See Also:
        Constant Field Values

    - #### VF_GENERAL_CLIENT_PORT

          static final java.lang.String VF_GENERAL_CLIENT_PORT

      See Also:
        Constant Field Values

    - #### VF_GENERAL_CLIENT_EVENT_QUEUE_LENGTH

          static final java.lang.String VF_GENERAL_CLIENT_EVENT_QUEUE_LENGTH

      See Also:
        Constant Field Values

    - #### VF_GENERAL_HTTP_SESSION_TIMEOUT

          static final java.lang.String VF_GENERAL_HTTP_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### VF_GENERAL_NON_SECURE_CLIENT_COMMUNICATION

          static final java.lang.String VF_GENERAL_NON_SECURE_CLIENT_COMMUNICATION

      See Also:
        Constant Field Values

    - #### VF_GENERAL_NON_SECURE_CLIENT_PORT

          static final java.lang.String VF_GENERAL_NON_SECURE_CLIENT_PORT

      See Also:
        Constant Field Values

    - #### VF_GENERAL_TWO_WAY_AUTH_CLIENT_PORT

          static final java.lang.String VF_GENERAL_TWO_WAY_AUTH_CLIENT_PORT

      See Also:
        Constant Field Values

    - #### VF_GENERAL_STATISTICS_FOLDER

          static final java.lang.String VF_GENERAL_STATISTICS_FOLDER

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CLUSTER

          static final java.lang.String VF_DATABASE_CLUSTER

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLUSTER_ROLE

          static final java.lang.String VF_DATABASE_KV_CLUSTER_ROLE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLUSTER_PRIMARY_DB_PORT

          static final java.lang.String VF_DATABASE_KV_CLUSTER_PRIMARY_DB_PORT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLUSTER_HELPER_DB_URL

          static final java.lang.String VF_DATABASE_KV_CLUSTER_HELPER_DB_URL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLUSTER_PRIORITY

          static final java.lang.String VF_DATABASE_KV_CLUSTER_PRIORITY

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CACHE_SIZE

          static final java.lang.String VF_DATABASE_KV_CACHE_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_MIN_UTILIZATION

          static final java.lang.String VF_DATABASE_KV_MIN_UTILIZATION

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLEANER_THREADS

          static final java.lang.String VF_DATABASE_KV_CLEANER_THREADS

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLEANER_ACTIVATOR

          static final java.lang.String VF_DATABASE_KV_CLEANER_ACTIVATOR

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLEANER_BYTE_THRESHOLD

          static final java.lang.String VF_DATABASE_KV_CLEANER_BYTE_THRESHOLD

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CLEANER_WAKEUP_INTERVAL

          static final java.lang.String VF_DATABASE_KV_CLEANER_WAKEUP_INTERVAL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_TRANSACTIONS_COMMIT_INTERVAL

          static final java.lang.String VF_DATABASE_KV_TRANSACTIONS_COMMIT_INTERVAL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_TRANSACTIONS_COMMIT_THRESHOLD

          static final java.lang.String VF_DATABASE_KV_TRANSACTIONS_COMMIT_THRESHOLD

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CHECPOINTER_ACTIVATOR

          static final java.lang.String VF_DATABASE_KV_CHECPOINTER_ACTIVATOR

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CHECPOINTER_WRITE_INTERVAL

          static final java.lang.String VF_DATABASE_KV_CHECPOINTER_WRITE_INTERVAL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_CHECPOINTER_WAKEUP_INTERVAL

          static final java.lang.String VF_DATABASE_KV_CHECPOINTER_WAKEUP_INTERVAL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_MAX_REPLICATION_MESSAGE_SIZE

          static final java.lang.String VF_DATABASE_KV_MAX_REPLICATION_MESSAGE_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_MAX_DISK

          static final java.lang.String VF_DATABASE_KV_MAX_DISK

      See Also:
        Constant Field Values

    - #### VF_DATABASE_KV_FREE_DISK

          static final java.lang.String VF_DATABASE_KV_FREE_DISK

      See Also:
        Constant Field Values

    - #### VF_DATABASE_DRIVER

          static final java.lang.String VF_DATABASE_DRIVER

      See Also:
        Constant Field Values

    - #### VF_DATABASE_URL

          static final java.lang.String VF_DATABASE_URL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CLUSTER_DATABASES

          static final java.lang.String VF_DATABASE_CLUSTER_DATABASES

      See Also:
        Constant Field Values

    - #### VF_DATABASE_USERNAME

          static final java.lang.String VF_DATABASE_USERNAME

      See Also:
        Constant Field Values

    - #### VF_DATABASE_PASSWORD

          static final java.lang.String VF_DATABASE_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_DATABASE_SQL_DIALECT

          static final java.lang.String VF_DATABASE_SQL_DIALECT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_MINIMUM_POOL_SIZE

          static final java.lang.String VF_DATABASE_MINIMUM_POOL_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_MAXIMUM_POOL_SIZE

          static final java.lang.String VF_DATABASE_MAXIMUM_POOL_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_BATCH_SIZE

          static final java.lang.String VF_DATABASE_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CHECKOUT_TIMEOUT

          static final java.lang.String VF_DATABASE_CHECKOUT_TIMEOUT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_UNRETURNED_CONNECTION_TIMEOUT

          static final java.lang.String VF_DATABASE_UNRETURNED_CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_SESSION_TIMEOUT

          static final java.lang.String VF_DATABASE_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_DISABLE_POOLING

          static final java.lang.String VF_DATABASE_DISABLE_POOLING

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_USE_EMBEDDED_SERVICE

          static final java.lang.String VF_DATABASE_CASSANDRA_USE_EMBEDDED_SERVICE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_USE_YAML_CONFIGURATION

          static final java.lang.String VF_DATABASE_CASSANDRA_USE_YAML_CONFIGURATION

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_HOST

          static final java.lang.String VF_DATABASE_CASSANDRA_HOST

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_NATIVE_PORT

          static final java.lang.String VF_DATABASE_CASSANDRA_NATIVE_PORT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_CONFIGURATION_KEYSPACE

          static final java.lang.String VF_DATABASE_CASSANDRA_CONFIGURATION_KEYSPACE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_EVENT_HISTORY_KEYSPACE

          static final java.lang.String VF_DATABASE_CASSANDRA_EVENT_HISTORY_KEYSPACE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_BINARY_DATA_KEYSPACE

          static final java.lang.String VF_DATABASE_CASSANDRA_BINARY_DATA_KEYSPACE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_STATISTICS_KEYSPACE

          static final java.lang.String VF_DATABASE_CASSANDRA_STATISTICS_KEYSPACE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_INTERNAL_KEYSPACE

          static final java.lang.String VF_DATABASE_CASSANDRA_INTERNAL_KEYSPACE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_REPLICATION_FACTOR

          static final java.lang.String VF_DATABASE_REPLICATION_FACTOR

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_COMMITLOG_DIRECTORY

          static final java.lang.String VF_DATABASE_CASSANDRA_COMMITLOG_DIRECTORY

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_COMMITLOG_SIZE

          static final java.lang.String VF_DATABASE_CASSANDRA_COMMITLOG_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_CACHES_DIRECTORY

          static final java.lang.String VF_DATABASE_CASSANDRA_CACHES_DIRECTORY

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_STORAGE_DIRECTORY

          static final java.lang.String VF_DATABASE_CASSANDRA_STORAGE_DIRECTORY

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_USE_AUTHENTICATION

          static final java.lang.String VF_DATABASE_CASSANDRA_USE_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_LOGIN

          static final java.lang.String VF_DATABASE_CASSANDRA_LOGIN

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_PASSWORD

          static final java.lang.String VF_DATABASE_CASSANDRA_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_CONSISTENCY_LEVEL

          static final java.lang.String VF_DATABASE_CASSANDRA_CONSISTENCY_LEVEL

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_CONTACT_POINTS

          static final java.lang.String VF_DATABASE_CASSANDRA_CONTACT_POINTS

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_LOAD_BALANCING

          static final java.lang.String VF_DATABASE_CASSANDRA_LOAD_BALANCING

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_RECONNECTION_POLICY

          static final java.lang.String VF_DATABASE_CASSANDRA_RECONNECTION_POLICY

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_READ_REQUEST_TIMEOUT

          static final java.lang.String VF_DATABASE_CASSANDRA_READ_REQUEST_TIMEOUT

      See Also:
        Constant Field Values

    - #### VF_DATABASE_SEEDS

          static final java.lang.String VF_DATABASE_SEEDS

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_BATCH_SIZE

          static final java.lang.String VF_DATABASE_CASSANDRA_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CASSANDRA_BATCH_SIZE_THRESHOLD

          static final java.lang.String VF_DATABASE_CASSANDRA_BATCH_SIZE_THRESHOLD

      See Also:
        Constant Field Values

    - #### VF_DATABASE_CONFIGURATION_STORAGE

          static final java.lang.String VF_DATABASE_CONFIGURATION_STORAGE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_EVENT_HISTORY_STORAGE

          static final java.lang.String VF_DATABASE_EVENT_HISTORY_STORAGE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_BINARY_DATA_STORAGE

          static final java.lang.String VF_DATABASE_BINARY_DATA_STORAGE

      See Also:
        Constant Field Values

    - #### VF_DATABASE_TEST_CONNECTION

          static final java.lang.String VF_DATABASE_TEST_CONNECTION

      See Also:
        Constant Field Values

    - #### VF_DATABASE_TEST_CONNECTION_RESULT

          static final java.lang.String VF_DATABASE_TEST_CONNECTION_RESULT

      See Also:
        Constant Field Values

    - #### VF_DATABASES_ID

          static final java.lang.String VF_DATABASES_ID

      See Also:
        Constant Field Values

    - #### VF_DATABASES_URL

          static final java.lang.String VF_DATABASES_URL

      See Also:
        Constant Field Values

    - #### VF_DATABASES_WEIGHT

          static final java.lang.String VF_DATABASES_WEIGHT

      See Also:
        Constant Field Values

    - #### VF_DATABASES_LOCAL

          static final java.lang.String VF_DATABASES_LOCAL

      See Also:
        Constant Field Values

    - #### VF_LOGGER_ENABLED

          static final java.lang.String VF_LOGGER_ENABLED

      See Also:
        Constant Field Values

    - #### VF_LOGGER_EXPRESSION

          static final java.lang.String VF_LOGGER_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_LOGGER_CONCURRENT

          static final java.lang.String VF_LOGGER_CONCURRENT

      See Also:
        Constant Field Values

    - #### VF_LOGGER_MAXIMUM_CONCURRENT

          static final java.lang.String VF_LOGGER_MAXIMUM_CONCURRENT

      See Also:
        Constant Field Values

    - #### VF_LOGGER_MAXIMUM_QUEUE_LENGTH

          static final java.lang.String VF_LOGGER_MAXIMUM_QUEUE_LENGTH

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_VALIDATORS_VARIABLE_NAME

          static final java.lang.String VF_VARIABLE_VALIDATORS_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_VALIDATORS_CONTEXT_MASK

          static final java.lang.String VF_VARIABLE_VALIDATORS_CONTEXT_MASK

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_VALIDATORS_EXPRESSION

          static final java.lang.String VF_VARIABLE_VALIDATORS_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_CLUSTER_FAILURE_DETECTION_TIME

          static final java.lang.String VF_CLUSTER_FAILURE_DETECTION_TIME

      See Also:
        Constant Field Values

    - #### VF_CLUSTER_FAILOVER_READONLY

          static final java.lang.String VF_CLUSTER_FAILOVER_READONLY

      See Also:
        Constant Field Values

    - #### VF_CLUSTER_ROLE

          static final java.lang.String VF_CLUSTER_ROLE

      See Also:
        Constant Field Values

    - #### VF_CLUSTER_HEARTBEAT_PORT

          static final java.lang.String VF_CLUSTER_HEARTBEAT_PORT

      See Also:
        Constant Field Values

    - #### VF_CLUSTER_HEARTBEAT_HELPER_URLS

          static final java.lang.String VF_CLUSTER_HEARTBEAT_HELPER_URLS

      See Also:
        Constant Field Values

    - #### VF_CLUSTER_HEARTBEAT_INTERFACE_ADDRESS

          static final java.lang.String VF_CLUSTER_HEARTBEAT_INTERFACE_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_PLUGINS_ID

          static final java.lang.String VF_PLUGINS_ID

      See Also:
        Constant Field Values

    - #### VF_PLUGINS_NAME

          static final java.lang.String VF_PLUGINS_NAME

      See Also:
        Constant Field Values

    - #### VF_PLUGINS_ENABLED

          static final java.lang.String VF_PLUGINS_ENABLED

      See Also:
        Constant Field Values

    - #### VF_CONFIGURATION_SERVER_ENABLED

          static final java.lang.String VF_CONFIGURATION_SERVER_ENABLED

      See Also:
        Constant Field Values

    - #### VF_CONFIGURATION_SERVER_ADDRESS

          static final java.lang.String VF_CONFIGURATION_SERVER_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_CONFIGURATION_SERVER_PORT

          static final java.lang.String VF_CONFIGURATION_SERVER_PORT

      See Also:
        Constant Field Values

    - #### VF_CONFIGURATION_SERVER_LOGIN

          static final java.lang.String VF_CONFIGURATION_SERVER_LOGIN

      See Also:
        Constant Field Values

    - #### VF_CONFIGURATION_SERVER_PASSWORD

          static final java.lang.String VF_CONFIGURATION_SERVER_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_STORES_ADDRESS

          static final java.lang.String VF_STORES_ADDRESS

      See Also:
        Constant Field Values

    - #### VF_STORES_PORT

          static final java.lang.String VF_STORES_PORT

      See Also:
        Constant Field Values

    - #### VF_STORES_DESCRIPTION

          static final java.lang.String VF_STORES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_STORES_LOGIN

          static final java.lang.String VF_STORES_LOGIN

      See Also:
        Constant Field Values

    - #### VF_STORES_PASSWORD

          static final java.lang.String VF_STORES_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_SHOW_STORE_ON_STARTUP

          static final java.lang.String VF_SHOW_STORE_ON_STARTUP

      See Also:
        Constant Field Values

    - #### VF_ADDITIONAL_PERMISSIONS_TYPE

          static final java.lang.String VF_ADDITIONAL_PERMISSIONS_TYPE

      See Also:
        Constant Field Values

    - #### VF_ADDITIONAL_PERMISSIONS_MASK

          static final java.lang.String VF_ADDITIONAL_PERMISSIONS_MASK

      See Also:
        Constant Field Values

    - #### VF_AUTHENTICATION_EXTERNAL_AUTHENTICATION

          static final java.lang.String VF_AUTHENTICATION_EXTERNAL_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### VF_AUTHENTICATION_EXTERNAL_REGISTER_LINK

          static final java.lang.String VF_AUTHENTICATION_EXTERNAL_REGISTER_LINK

      See Also:
        Constant Field Values

    - #### VF_AUTHENTICATION_USER_CONNECTION_MODE

          static final java.lang.String VF_AUTHENTICATION_USER_CONNECTION_MODE

      See Also:
        Constant Field Values

    - #### VF_AUTHENTICATION_NEW_USER_ACTIVATION_EXPRESSION

          static final java.lang.String VF_AUTHENTICATION_NEW_USER_ACTIVATION_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_NUMBER_LOGIN_ATTEMPTS

          static final java.lang.String VF_NUMBER_LOGIN_ATTEMPTS

      See Also:
        Constant Field Values

    - #### VF_ACCOUNT_LOCKOUT_DURATION

          static final java.lang.String VF_ACCOUNT_LOCKOUT_DURATION

      See Also:
        Constant Field Values

    - #### VF_TIMEOUT_BEFORE_NEXT_LOGIN_ATTEMPT

          static final java.lang.String VF_TIMEOUT_BEFORE_NEXT_LOGIN_ATTEMPT

      See Also:
        Constant Field Values

    - #### VF_PASSWORD_MIN_LENGTH

          static final java.lang.String VF_PASSWORD_MIN_LENGTH

      See Also:
        Constant Field Values

    - #### VF_PASSWORD_EXPIRATION_PERIOD

          static final java.lang.String VF_PASSWORD_EXPIRATION_PERIOD

      See Also:
        Constant Field Values

    - #### VF_PASSWORD_REQUIRE_CAPITAL_LETTERS

          static final java.lang.String VF_PASSWORD_REQUIRE_CAPITAL_LETTERS

      See Also:
        Constant Field Values

    - #### VF_PASSWORD_REQUIRE_NUMBERS

          static final java.lang.String VF_PASSWORD_REQUIRE_NUMBERS

      See Also:
        Constant Field Values

    - #### VF_PASSWORD_REQUIRE_SPECIAL_CHARACTERS

          static final java.lang.String VF_PASSWORD_REQUIRE_SPECIAL_CHARACTERS

      See Also:
        Constant Field Values

    - #### VF_PASSWORDS_AMOUNT

          static final java.lang.String VF_PASSWORDS_AMOUNT

      See Also:
        Constant Field Values

    - #### VF_INSTALLATION_DATE_DATE

          static final java.lang.String VF_INSTALLATION_DATE_DATE

      See Also:
        Constant Field Values

    - #### VF_ANONYMOUS_ENABLED

          static final java.lang.String VF_ANONYMOUS_ENABLED

      See Also:
        Constant Field Values

    - #### VF_ANONYMOUS_PERMISSIONS

          static final java.lang.String VF_ANONYMOUS_PERMISSIONS

      See Also:
        Constant Field Values

    - #### VF_DEFAULT_DASHBOARD_FOR_ANONYMOUS

          static final java.lang.String VF_DEFAULT_DASHBOARD_FOR_ANONYMOUS

      See Also:
        Constant Field Values

    - #### A_DATABASE_TEST_CONNECTION

          static final java.lang.String A_DATABASE_TEST_CONNECTION

      See Also:
        Constant Field Values

    - #### F_DATABASE_TEST_CONNECTION

          static final java.lang.String F_DATABASE_TEST_CONNECTION

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_ALLOW_CONCURRENT

          static final java.lang.Integer AUTHENTICATION_ALLOW_CONCURRENT

    - #### AUTHENTICATION_DISCONNECT_LAST

          static final java.lang.Integer AUTHENTICATION_DISCONNECT_LAST

    - #### AUTHENTICATION_RESTRICT_CONCURRENT

          static final java.lang.Integer AUTHENTICATION_RESTRICT_CONCURRENT

    - #### DEFAULT_COUNT_ATTEMPT_LOGIN

          static final java.lang.Integer DEFAULT_COUNT_ATTEMPT_LOGIN

    - #### DEFAULT_LOCKOUT_DURATION

          static final java.lang.Long DEFAULT_LOCKOUT_DURATION

    - #### DEFAULT_TIMEOUT_BEFORE_NEXT_LOGIN_ATTEMPT

          static final java.lang.Long DEFAULT_TIMEOUT_BEFORE_NEXT_LOGIN_ATTEMPT